package ru.soune.nocopy.repository;

import ru.soune.nocopy.entity.file.ProtectionStatus;

import java.time.LocalDateTime;

public interface SimilarImageProjection {
    Long getHash64Hi();
    Long getHash64Lo();
    String getId();
    Long getUserId();
    String getOriginalFileName();
    Long getFileSize();
    Long getSupportId();
    LocalDateTime getUploadDate();
    ProtectionStatus getProtectionStatus();
    String getExtension();
    String getFileStatus();
}